<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised=0;
//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script type="text/javascript" src="../include/jquery.js"></script>
<script type="text/javascript">
<!--
function checkCategorie()
{
	document.getElementById("disponible").value="";
	document.getElementById("divCategorie").innerHTML="";
	document.getElementById("divCategorie").className="";
	var nom=document.getElementById("nom").value;
	if (nom != "")
	{
	$.ajax({
	type: 'POST',
	url: 'checkCategorie.php',
	data: "nom="+$('#nom').val(),
	dataType: 'text',
	success: validerCategorie
	});
	}
}

function validerCategorie(reponse)
{
	if (reponse == 1)
	{
	document.getElementById("divCategorie").innerHTML="Catgorie non disponible";
	document.getElementById("divCategorie").className="valid_ko";
	document.getElementById("disponible").value=0;
	}
	else
	{
	document.getElementById("divCategorie").innerHTML="Catgorie disponible";
	document.getElementById("divCategorie").className="valid_ok";
	document.getElementById("disponible").value=1;
	}
}

function verifierFormulaire()
{
	var nom = document.getElementById("nom").value;
	var disponible = document.getElementById("disponible").value;
	if (nom == "")
	{
		var message="Veuillez introduire le nom de la catgorie.\n";
		var erreur = 1;
	}
	else if (disponible == 0)
	{
		var message="Cette catgorie existe dj.\n";
		var erreur = 1;
	}
	if (erreur)
		{
			alert(message);
			return false;
		}
}
-->
</script>
<?php
include("header.php");
//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a  href=\"index.php\">vous reconnecter</a>.</p>\n";
}

else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('gerer');
$auth=isAutorise($auth);
$auth_gerer=$auth['gerer'];
if (!$auth_gerer)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
?>
<h2>G&eacute;rer les cat&eacute;gories</h2>
<p>&gt; <a href="categories1.php">Annuler </a></p>
<form name="form1" method="post" action="categories1.php" class="event" onSubmit="return verifierFormulaire(this)">
<h3>Nouvelle cat&eacute;gorie</h3>
	<p>
		<label for="nom">Nom de la cat&eacute;gorie :</label><br>
		<input name="nom" type="text" id="nom" value="" onKeyUp="checkCategorie()"> <span id="divCategorie"></span>
	</p>
	<p>
		Cat&eacute;gorie active :<br>
		<input type="radio" name="actif" value="1" checked> Oui
		<input type="radio" name="actif" value="0"> Non
	</p>
	<p> 
		<input type="submit" name="Submit" value="Ajouter">
		<input name="action" id="action" type="hidden" value="ajouter">
		<input name="disponible" id="disponible" type="hidden" value="">
  </p>
</form>
<p>&nbsp;</p>
<p>&gt; <a href="index.php">Menu principal</a><br>
  &gt; <a href="close.php">D&eacute;connexion</a></p>
<?php
}
include("footer.php");
?>