<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised=0;
$ok=0;
//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$form=(isset($_POST["form"])) ? $_POST['form'] : Null;
$nom2=(isset($_POST["nom2"])) ? $_POST['nom2'] : Null;
$old=(isset($_REQUEST["id"])) ? $_REQUEST['id'] : Null;
$categorie1=(isset($_POST["categorie1"])) ? $_POST['categorie1'] : Null;
$categorie2=(isset($_POST["categorie2"])) ? $_POST['categorie2'] : Null;
//SUPPRESSION DES SLASHES SI NECESSAIRE
if (get_magic_quotes_gpc())
{
$nom2=stripslashes($nom2);
}
//PROTECTION POUR EVITER LES INJECTIONS SQL
$nom2=mysql_real_escape_string($nom2);
if (isset($old) AND (!is_numeric($old)))
{
die();
}
if (isset($categorie1) AND (!is_numeric($categorie1)))
{
die();
}
if (isset($categorie2) AND (!is_numeric($categorie2)))
{
die();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script type="text/javascript" src="../include/jquery.js"></script>
<script type="text/javascript">
<!--
-->
</script>
<?php
include("header.php");
//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a  href=\"index.php\">vous reconnecter</a>.</p>\n";
}

else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('gerer');
$auth=isAutorise($auth);
$auth_gerer=$auth['gerer'];
if (!$auth_gerer)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
?>
<h2>G&eacute;rer les cat&eacute;gories</h2>
<p>&gt; <a href="categories1.php">Annuler</a></p>
<?php
if ($form)
{
if ($nom2 AND $categorie2)
{
$nom3=htmlentities($nom2);
$query="SELECT id FROM $table_categories WHERE nom='$nom2' OR nom='$nom3'";
$result=mysql_query($query);
if ($result)
{
$num=mysql_num_rows($result);
if ($num)
{
$ligne=mysql_fetch_array($result);
$cat=$ligne["id"];
if ($cat != $categorie2 AND $cat != $categorie1)
{
$nom2=stripslashes($nom2);
echo "<p class=\"erreur\">Erreur : la cat&eacute;gorie <b>$nom2</b> existe d&eacute;j&agrave;.</p>\n";
}
else
{
$num=0;
}
}
}
if (!$num)
{
$nom2=htmlentities($nom2);
$query="INSERT INTO $table_categories (nom) VALUES ('$nom2')";
$result=mysql_query($query);
$categorie3=mysql_insert_id();
$query="DELETE FROM $table_categories WHERE id='$categorie1'";
$result=mysql_query($query);
$query="DELETE FROM $table_categories WHERE id='$categorie2'";
$result=mysql_query($query);
$query="UPDATE $table_agenda SET categorie='$categorie3' WHERE categorie='$categorie1'";
$result=mysql_query($query);
$query="UPDATE $table_agenda SET categorie='$categorie3' WHERE categorie='$categorie2'";
$result=mysql_query($query);
$query="OPTIMIZE TABLE $table_categories";
$result=mysql_query($query);
$ok=1;
echo "<p class=\"confirmation\">La fusion a &eacute;t&eacute; effectu&eacute;e avec succ&egrave;s.</p>\n";
echo "<p>&gt; <a href=\"categories1.php\">Retour</a></p>\n";
}
}
else
{
echo "<p class=\"erreur\">Erreur : vous devez choisir un nouveau nom ainsi que la cat&eacute;gorie avec laquelle r&eacute;aliser la fusion.</p>\n";
}
}
?>
<?php
if (!$ok)
{
$query="SELECT nom FROM $table_categories WHERE id = '$old'";
$result=mysql_query($query);
if($result)
{
$ligne=mysql_fetch_array($result);
$nom=$ligne["nom"];
}
?>
<form name="form1" method="post" action="categories3.php" class="event">
	<h3>Fusionner <?php echo "\"$nom\"" ?> avec une autre cat&eacute;gorie</h3>
	<p>
		<label for="categorie2">Fusionner avec :</label><br>
		<select name="categorie2" id="categorie2">
			<option value="0" selected>-- S&eacute;lectionner --</option>
			<?php
			$query="SELECT id,nom FROM $table_categories ORDER BY nom ASC";
			$result=mysql_query($query);
			if($result)
			{
			while($ligne=mysql_fetch_array($result))
			{
			$numero=$ligne["id"];
			$nom=$ligne["nom"];
			if ($old != $numero)
			{
			if ($categorie2 == $numero)
			{
			echo "<option value=\"$numero\" selected>$nom</option>\n";
			}
			else
			{
			echo "<option value=\"$numero\">$nom</option>\n";
			}
			}
			}
			}
			?>
		</select>
	</p>
	<p>
		<label for="nom2">Renommer en :</label><br>
		<input name="nom2" type="text" id="nom2" value="<?php echo $nom2 ?>" size="30">
		<input name="categorie1" type="hidden" id="categorie1" value="<?php echo $old ?>">
		<input name="form" type="hidden" id="form" value="1">
	</p>
	<p>
		<input type="submit" name="Submit" value="Fusionner">
		<input name="id" type="hidden" id="id" value="<?php echo $old ?>">
	</p>
</form>
<?php
}
?>
<p>
	&gt; <a href="index.php">Menu principal</a><br>
	&gt; <a href="close.php">D&eacute;connexion</a>
</p>
<?php
}
include("footer.php");
?>