<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$erreur="";
$email_exists="";
//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$the_pass=(isset($_SESSION['the_pass'])) ? $_SESSION['the_pass'] : Null;
$the_id=(isset($_SESSION['the_id'])) ? $_SESSION['the_id'] : Null;
$form=(isset($_POST["form"])) ? $_POST['form'] : Null;
$pass_user=(isset($_POST["pass_user"])) ? $_POST['pass_user'] : Null;
$pass=(isset($_POST["pass"])) ? $_POST['pass'] : Null;
$pass2=(isset($_POST["pass2"])) ? $_POST['pass2'] : Null;
$nom=(isset($_POST["nom"])) ? $_POST['nom'] : Null;
$prenom=(isset($_POST["prenom"])) ? $_POST['prenom'] : Null;
$email=(isset($_POST["email"])) ? $_POST['email'] : Null;
$email_old=(isset($_POST["email_old"])) ? $_POST['email_old'] : Null;
$envoye=(isset($_POST["envoye"])) ? $_POST['envoye'] : Null;
//SUPPRESSION DES SLASHES SI NECESSAIRE
if (get_magic_quotes_gpc())
{
$pass_user=stripslashes($pass_user);
$pass=stripslashes($pass);
$pass2=stripslashes($pass2);
$nom=stripslashes($nom);
$prenom=stripslashes($prenom);
$email=stripslashes($email);
$email_old=stripslashes($email_old);
}
//PROTECTION POUR EVITER LES INJECTIONS SQL
$pass_user=mysql_real_escape_string($pass_user);
$pass=mysql_real_escape_string($pass);
$pass2=mysql_real_escape_string($pass2);
$nom=mysql_real_escape_string($nom);
$prenom=mysql_real_escape_string($prenom);
$email=mysql_real_escape_string($email);
$email_old=mysql_real_escape_string($email_old);
if (isset($envoye) AND (!is_numeric($envoye)))
{
die();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script type="text/javascript" src="../include/jquery.js"></script>
<script language = "JavaScript" type="text/javascript">
<!--
function checkEmail()
{
	document.getElementById("valid_email").value="";
	document.getElementById("divEmail").innerHTML="";
	document.getElementById("divEmail").className="";
	var email=document.getElementById("email").value;
	var email_old=document.getElementById("email_old").value;
	var id=document.getElementById("id").value;
	var regEmail=new RegExp ("^[0-9a-z._-]+@{1}[0-9a-z._-]{2,}[.]{1}[a-z]{2,5}$");
	if (email != "" && (!regEmail.test(email)))
	{
	document.getElementById("divEmail").innerHTML="Email invalide";
	document.getElementById("divEmail").className="valid_ko";
	}
	else if (email != "" && email != email_old)
	{
	$.ajax({
	type: 'POST',
	url: 'checkEmail.php',
	data: "email="+$('#email').val()+"&"+"user_id="+$('#id').val(),
	dataType: 'text',
	success: validerEmail
	});
	}
}

function checkPassword()
{
	document.getElementById("divPassword").innerHTML="";
	document.getElementById("divPassword").className="";
	var pass_perso=document.getElementById("pass_user").value;
	if (pass_perso != "")
	{
	$.ajax({
	type: 'POST',
	url: 'checkPassword.php',
	data: "password="+$('#pass_user').val(),
	dataType: 'text',
	success: validerPassword
	});
	}
}

function validerEmail(reponse)
{
	if (reponse == 1)
	{
	document.getElementById("divEmail").innerHTML="Adresse email non disponible";
	document.getElementById("divEmail").className="valid_ko";
	document.getElementById("valid_email").value=0;
	}
	else
	{
	document.getElementById("divEmail").innerHTML="Adresse email disponible";
	document.getElementById("divEmail").className="valid_ok";
	document.getElementById("valid_email").value=1;
	}
}

function validerPassword(reponse)
{
	if (reponse == 1)
	{
	document.getElementById("divPassword").innerHTML="Mot de passe incorrect";
	document.getElementById("divPassword").className="valid_ko";
	}
	else
	{
	document.getElementById("divPassword").innerHTML="Mot de passe correct";
	document.getElementById("divPassword").className="valid_ok";
	}
}


function verifierFormulaire()
{
	var user=document.getElementById("user").value;
	var pass_user=document.getElementById("pass_user").value;
	var pass=document.getElementById("pass").value;
	var pass2=document.getElementById("pass2").value;
	var email=document.getElementById("email").value;
	var emailOld=document.getElementById("email_old").value;
	var validEmail=document.getElementById("valid_email").value;
	var regEmail=new RegExp ("^[0-9a-z._-]+@{1}[0-9a-z._-]{2,}[.]{1}[a-z]{2,5}$");
	var erreur = 0;
	var message = "";
	if (email == "")
	{
		var message="Veuillez indiquer votre adresse email.\n";
		var erreur = 1;
	}
	if (email != "" && (!regEmail.test(email)))
	{
		var message=message+"L\'adresse email est incorrecte.\n";
		var erreur = 1;
	}
	if (pass != "" && pass_user == "")
	{
		var message=message+"Veuillez saisir votre mot de passe actuel pour pouvoir le modifier.\n";
		var erreur = 1;
	}
	if (pass != "" && user != "" && (pass == user))
	{
		var message=message+"Le mot de passe doit tre diffrent du nom d\'utilisateur.\n";
		var erreur = 1;
	}
	if (pass != "" && (pass.length < 6 || pass.length > 15))
	{
		var message=message+"Le mot de passe doit comprendre entre 6 et 15 caractres.\n";
		var erreur = 1;
	}
	if (pass != "" && pass2 != "" && pass != pass2)
	{
		var message=message+"Vous avez introduit deux mots de passe diffrents.\n";
		var erreur = 1;
	}
	if (email != "" && validEmail == 0 && email != emailOld && regEmail.test(email))
	{
		var message=message+"L\'adresse email est dj utilise.\n";
		var erreur = 1;
	}
	if (erreur)
	{
		alert(message);
		return false;
	}
}
// -->
</script>
<?php
include("header.php");
//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a  href=\"index.php\">vous reconnecter</a>.</p>\n";
}
else
{
$authorised=1;
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
?>
<h2>Modifier votre profil</h2>
<?php
if ($envoye)
{
$nombre=strlen($pass);
if ($email != $email_old)
{
$query="SELECT id FROM $table_users WHERE email = '$email' AND id != '$the_id'";
$result=mysql_query($query);
$email_exists=mysql_num_rows($result);
}
if (!$email)
{
echo "<p class=\"erreur\">Erreur : vous devez indiquer une adresse email.</p>\n";
$erreur = "1";
}
if ($email AND !check_email($email))
{
echo "<p class=\"erreur\">Erreur : l'adresse email introduite est erron&eacute;e.</p>\n";
$erreur = "1";
}
if ($email_exists)
{
echo "<p class=\"erreur\">Erreur : l'adresse <b>$email</b> est d&eacute;j&agrave; utilis&eacute;e.</p>\n";
$erreur = "1";
}
if ($pass AND !$pass_user)
{
echo "<p class=\"erreur\">Erreur : pour changer votre mot de passe, vous devez indiquer votre mot de passe actuel.</p>\n";
$erreur = "1";
}
if ($pass_user AND (crypt_pass($pass_user)!=$the_pass))
{
echo "<p class=\"erreur\">Erreur : votre mot de passe est invalide.</p>\n";
$erreur = "1";
}
if ($pass != $pass2)
{
echo "<p class=\"erreur\">Erreur : vous avez introduit deux mots de passe diff&eacute;rents.</p>\n";
$erreur = "1";
}
if ($the_user == $pass)
{
echo "<p class=\"erreur\">Erreur : le mot de passe doit &ecirc;tre diff&eacute;rent du nom d'utilisateur.</p>\n";
$erreur = "1";
}
if ($pass AND $nombre < 6)
{
echo "<p class=\"erreur\">Erreur: le nouveau mot de passe doit avoir au moins six caract&egrave;res.</p>\n";
$erreur=1;
}
if (!$erreur)
{
if ($pass)
{
$pass=crypt_pass($pass);
$query="UPDATE $table_users SET password='$pass',nom='$nom',prenom='$prenom',email='$email' WHERE id='$the_id'";
$_SESSION["the_pass"] = "$pass";
}
if (!$pass)
{
$query="UPDATE $table_users SET nom='$nom',prenom='$prenom',email='$email' WHERE id='$the_id'";
}
$result=mysql_query($query);
echo "<p class=\"confirmation\">Votre profil a &eacute;t&eacute; modifi&eacute;.</p>\n";
}
}
if (!$envoye)
{
$query="SELECT email,nom,prenom FROM $table_users WHERE id='$the_id'";
$result=mysql_query($query);
if ($result)
{
$ligne=mysql_fetch_array($result);
$email=$ligne["email"];
$nom=$ligne["nom"];
$prenom=$ligne["prenom"];
}
}
//MODE DEMO
if ((isset($demo) AND $demo) AND $the_user == "demo")
{
echo "<p class=\"erreur\">Erreur : vous ne pouvez pas modifier ce compte.</p>\n";
}
else
{
?>
<form action="profil.php" method="post" onSubmit="return verifierFormulaire(this)">
	<h3>Nom et adresse email</h3>
	<p>
		<label for="nom">Nom :</label><br>
		<input name="nom" type="text" id="nom" value="<?php echo stripslashes(htmlentities($nom)) ?>" size="30">
	</p>
	<p>
		<label for="prenom">Pr&eacute;nom :</label><br>
		<input name="prenom" type="text" id="prenom" value="<?php echo stripslashes(htmlentities($prenom)) ?>" size="30">
	</p>
	<p>
		<label for="email">Adresse email :</label>
		*<br>
		<input name="email" type="text" id="email" value="<?php echo $email ?>" size="30" onKeyUp="checkEmail()"> <span id="divEmail"></span>
	</p>
	<h3>Changer le mot de passe</h3>
	<p>
		<label for="pass_user">Mot de passe actuel :</label><br>
		<input name="pass_user" type="password" id="pass_user" size="20" maxlength="15" onBlur="checkPassword()"> <span id="divPassword"></span>
	</p>
	<p>
		<label for="pass">Nouveau mot de passe :</label><br>
		<input name="pass" type="password" id="pass" size="20" maxlength="15"><br>
		(de 6 &agrave; 15 caract&egrave;res) </p>
	<p>
		<label for="pass2">Introduisez &agrave; nouveau votre nouveau mot de passe :</label><br>
		<input name="pass2" type="password" id="pass2" size="20" maxlength="15">
	</p>
	<p> 
		<input name="Submit" type="submit" id="Submit" value="Modifier">
		<input name="envoye" type="hidden" id="envoye" value="1">
		<input name="user" type="hidden" id="user" value="<?php echo $the_user ?>">
		<input name="valid_email" type="hidden" id="valid_email" value="">
		<input name="id" type="hidden" id="id" value="<?php echo $the_id ?>">
		<input name="email_old" type="hidden" id="email_old" value="<?php echo $email ?>">
	</p>
</form>
<?php
}
?>
<p>
	&gt; <a href="index.php">Menu principal</a><br>
	&gt; <a href="close.php">D&eacute;connexion</a>
</p>
<?php
}
include("footer.php");
?>