<?php

function nom_mois($mois)
{
    if (is_numeric($mois) AND $mois < 13) {
    
      if (substr($mois,0,1) == "0") $mois=substr($mois,1,2);
      $nomdesmois = array(1=>"JANVIER",2=>"FEVRIER",3=>"MARS",4=>"AVRIL",5=>"MAI",6=>"JUIN",7=>"JUILLET",8=>"AOUT",9=>"SEPTEMBRE",10=>"OCTOBRE",11=>"NOVEMBRE",12=>"DECEMBRE");
      settype($month,'int');
      return($nomdesmois[$mois]);
      
    }
    else return false;
}

function formaterDate($date)
{
	$tab=explode("-",$date);
	$date=array("$tab[2]","$tab[1]","$tab[0]");
	$date=implode("/",$date);
	return $date;
}

function formaterHeure($heure)
{
	$tab=explode(":",$heure);
	$heure=array("$tab[0]","$tab[1]");
	$heure=implode("h",$heure);
	return $heure;
}

    function testDate($date)
{
	$test_form=0;
	$test_date=0;
	$test_form=preg_match('`^\d{2}/\d{2}/\d{4}$`',$date);
	if ($test_form)
	{
		$tab=explode("/",$date);
		$test_date=checkdate($tab[1],$tab[0],$tab[2]);
	}
	if ($test_form AND $test_date)
	{
		return true;
	}
	else
	{
		return false;
	}
}


// ------------------------------------------------------ Le reste est a confirmer !

function __mysql_date($date)
{
	$tab=explode("/",$date);
	$date=array("$tab[2]","$tab[1]","$tab[0]");
	$date=implode("-",$date);
	return $date;
}

function isSessionValide()
{
	if (isset($_SESSION['the_user']) && isset($_SESSION['timeout']) && (time() < $_SESSION['timeout']))
	{
	global $session_timeout;
	$_SESSION['timeout'] = time()+$session_timeout;
	return true;
	}
}

function isAutorise($droits)
{
	$auth=Null;
	$request=Null;
	if (!is_array($droits)) return $auth;
	else
	{
		$count = count($droits);
		for ($i = 0; $i < $count; $i++)
		{
		$request .="$droits[$i],";
		}
		$request=rtrim($request,',');
		global $table_users;
		$the_id=(isset($_SESSION['the_id'])) ? $_SESSION['the_id'] : Null;
		$query="SELECT ".$request." FROM $table_users WHERE id='$the_id'";
		$result=mysql_query($query);
		if ($result AND mysql_num_rows($result))
		{
			$ligne=mysql_fetch_array($result);
			$auth=array();
			for ($i = 0; $i < $count; $i++)
			{
			$droit=$droits[$i];
			$var=$droit;
			$$var=$ligne[$droit];
			$auth["$var"] = $$var;
			}
		}
		return $auth;
	}
}



function testHeure($heure)
{
	$test_form=0;
	$test_heure=0;
	$test_form=preg_match('`^\d{2}:\d{2}$`',$heure);
	if ($test_form)
	{
		$tab=explode(":",$heure);
		if ($tab[0] < 24 AND $tab[1] < 60)
		{
			$test_heure=1;
		}
	}
	if ($test_form AND $test_heure)
	{
		return true;
	}
	else
	{
		return false;
	}
}

function testCouleur($couleur)
{
	$couleur=strtoupper($couleur);
	if(is_included("^[a-f0-9]{6}$",$couleur) AND $couleur != 'FFFFFF')
	{
	    $couleur = '#'.$couleur;
	    return $couleur;
	}
	elseif(is_included("^#[a-f0-9]{6}$",$couleur) AND $couleur != '#FFFFFF')
	{
	    return $couleur;
	}
	else
	{
	    return false;
	}
}

function cleanHtml($texte)
{
	global $editeur_html;
	if ($editeur_html)
	{
		$texte=strip_tags($texte,"<p>,<span>,<ul>,<ol>,<strong>,<em>,<li>");
		$expression="font-family[^>]*\;";
		$texte=replace($expression,"",$texte);
		$expression="font-size[^>]*\;";
		$texte=replace($expression,"",$texte);
	}
	else
	{
		$texte=strip_tags($texte);
	}
	return $texte;
}

function getCategorie($categorie)
{
	if ($categorie AND is_numeric($categorie))
	{
		global $table_categories;
		$query="SELECT nom FROM $table_categories WHERE id = '$categorie'";
		$result=mysql_query($query);
		if($result)
		{
			$ligne=mysql_fetch_array($result);
			return $ligne['nom'];
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}

function getCouleur($categorie)
{
	if ($categorie AND is_numeric($categorie))
	{
		global $table_categories;
		$query="SELECT couleur FROM $table_categories WHERE id = '$categorie'";
		$result=mysql_query($query);
		if($result)
		{
			$ligne=mysql_fetch_array($result);
			$couleur = $ligne['couleur'];
			$couleur = testCouleur($couleur);
			if ($couleur) return $couleur;
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}

function getUser($user)
{
	if (isset($user) AND is_numeric($user))
	{
		if ($user == 0) return "un invit&eacute;";
		else
		{
			global $table_users;
			$query="SELECT user FROM $table_users WHERE id = '$user'";
			$result=mysql_query($query);
			if($result)
			{
				$ligne=mysql_fetch_array($result);
				return $ligne['user'];
			}
			else
			{
				return false;
			}
		}
	}
	else
	{
		return false;
	}
}




function crypt_pass($pass)
{
	$majorsalt="";
	if(!function_exists('str_split'))
	{
		function str_split($string,$string_length=1)
		{
			if(strlen($string)>$string_length || !$string_length)
			{
				do
				{
				$c = strlen($string);
				$parts[] = substr($string,0,$string_length);
				$string = substr($string,$string_length);
				}
				while($string !== false);
			}
			else
			{
				$parts = array($string);
			}
			return $parts;
		}
	}
	$pass = str_split($pass);
	foreach ($pass as $hashpass)
	{
	$majorsalt .= md5($hashpass);
	}
	$corehash = md5($majorsalt);
	return $corehash;
}

function check_email($email)
{
	$result=1;
	if (!is_included(".+@.+\\..+",$email))
	{
		$result=0;
	}
	if (is_included(" ",$email))
	{
		$result=0;
	}
	if (is_included("'",$email))
	{
		$result=0;
	}
	if (htmlentities($email) != $email)
	{
		$result=0;
	}
	return $result;
}



function get_version()
{
	global $table_config;
	$query="SELECT valeur FROM $table_config WHERE nom = 'current_version'";
	$result=mysql_query($query);
	if ($result AND mysql_num_rows($result))
	{
		$ligne=mysql_fetch_array($result);
		$version=$ligne["valeur"];
		return $version;
	}
	else return false;
}

function is_included($pattern,$subject)
{
	if (function_exists('preg_match'))
	{
		$pattern="/$pattern/i";
		return preg_match($pattern,$subject);
	}
	else
	{
		return eregi($pattern,$subject);
	}
}

function replace($pattern,$replacement,$subject)
{
	if (function_exists('preg_replace'))
	{
		$pattern="/$pattern/i";
		return preg_replace($pattern,$replacement,$subject);
	}
	else
	{
		return eregi_replace($pattern,$replacement,$subject);
	}
}

function emailEncode($email)
{
	$email_encode = '';
	$nb_caractere = strlen($email);
	for ($a = 0; $a < $nb_caractere; $a ++)
	{
	$ord = ord(substr($email, $a, 1) );
	$email_encode .= '&#'.$ord.';';
	}
	return $email_encode;
}
?>